/**
 * Replicates the requestBody feature from the WebRequest.onBeforeRequest API
 */
(function() {
  if (document.forms.length === 1) {
    var form = document.forms[0];
    var formData = {};
    Array.prototype.filter.call(form, function(input) {
      return input.type !== 'button' && input.type !== 'submit';
    }).forEach(function(input) {
      var key = input.name || input.id;
      formData[key] = (formData[key] || []).concat(input.value);
    });
    return {
      action: form.action,
      requestBody: {
        formData: formData
      }
    }
  }
  return null
})();